Loading...
Searching...
No Matches
Halide::ExternSignature Struct Reference

`#include <Pipeline.h>`

## Public Member Functions

| ExternSignature ()=default
| ExternSignature (const Type &ret_type, bool is_void_return, const std::vector< Type > &arg_types)
template<typename RT, typename... Args>
| ExternSignature (RT(*f)(Args... args))
const Type & | ret_type () const
bool | is_void_return () const
const std::vector< Type > & | arg_types () const

## Detailed Description

Definition at line 501 of file Pipeline.h.

## Constructor & Destructor Documentation

## ExternSignature() [1/3]

Halide::ExternSignature::ExternSignature | ( |  | ) |

default

Referenced by operator<<.

## ExternSignature() [2/3]

Halide::ExternSignature::ExternSignature | ( | const Type & | ret_type,
|  | bool | is_void_return,
|  | const std::vector< Type > & | arg_types )

inline

Definition at line 510 of file Pipeline.h.

References arg_types(), internal_assert, is_void_return(), and ret_type().

## ExternSignature() [3/3]

template<typename RT, typename... Args>

Halide::ExternSignature::ExternSignature | ( | RT(* | f )(Args... args) | ) |

inline explicit

Definition at line 518 of file Pipeline.h.

References Halide::type_of().

## Member Function Documentation

## ret_type()

const Type & Halide::ExternSignature::ret_type | ( |  | ) | const

inline

Definition at line 524 of file Pipeline.h.

References internal_assert, and is_void_return().

Referenced by ExternSignature().

## is_void_return()

bool Halide::ExternSignature::is_void_return | ( |  | ) | const

inline

Definition at line 529 of file Pipeline.h.

Referenced by ExternSignature(), and ret_type().

## arg_types()

const std::vector< Type > & Halide::ExternSignature::arg_types | ( |  | ) | const

inline

Definition at line 533 of file Pipeline.h.

Referenced by ExternSignature().

The documentation for this struct was generated from the following file:

- src/Pipeline.h